//
//	FindinSite-CD-JS-HelpIndex database applinxuserguide
//
//	Copyright (c) 2016-2018 Software AG, Darmstadt, Germany and/or Software AG USA Inc., Reston, VA, USA
//
var applinxuserguide = {
    baseurls: ["../"],
    varname: "applinxuserguide",
        tree: [
            { url: "about/about.htm", title: "About this Documentation",
              tree: [
                  { url: "about/document_conventions.htm", title: "Document Conventions" },
                  { url: "about/online_information.htm", title: "Online Information and Support" },
                  { url: "about/data_protection.htm", title: "Data Protection" },
              ]
            },
            { url: "relnotes/overview.htm", title: "Release Notes",
              tree: [
                  { url: "relnotes/newfeatures103.htm", title: "What's New in Release 10.3" },
                  { url: "relnotes/newfeatures102.htm", title: "What was New in Release 10.2" },
                  { url: "relnotes/newfeatures101.htm", title: "What was New in Release 10.1" },
                  { url: "relnotes/newfeatures100.htm", title: "What was New in Release 10.0" },
                  { url: "relnotes/newfeatures912.htm", title: "What was New in Release 9.12" },
                  { url: "relnotes/newfeatures910.htm", title: "What was New in Release 9.10" },
                  { url: "relnotes/newfeatures99.htm", title: "What was New in Release 9.9" },
                  { url: "relnotes/newfeatures98.htm", title: "What was New in Release 9.8" },
                  { url: "relnotes/Platforms.htm", title: "ApplinX Supported Platforms" },
              ]
            },
            { url: "getstarted/overview.htm", title: "Getting Started",
              tree: [
                  { url: "getstarted/Solutions.htm", title: "Solutions and Architecture" },
                  { url: "getstarted/RecHardware.htm", title: "Hardware Requirements" },
                  { url: "getstarted/Software.htm", title: "Software Requirements" },
                  { url: "getstarted/licensekey.htm", title: "ApplinX License Keys" },
                  { url: "getstarted/Installation.htm", title: "Installation" },
                  { url: "getstarted/docker.htm", title: "Building an ApplinX Docker Image" },
                  { url: "getstarted/unix-envVars.htm", title: "Setting Environment Variables under UNIX" },
                  { url: "getstarted/Upgrade.htm", title: "Upgrading, Migrating and Installing Fixes" },
                  { url: "getstarted/RunningServer.htm", title: "ApplinX Server" },
                  { url: "getstarted/RunningAdministrator.htm", title: "ApplinX Server Administrator" },
                  { url: "getstarted/WorkbenchDesign.htm", title: "ApplinX Designer (Software AG Designer)" },
                  { url: "getstarted/newApplication.htm", title: "Creating a New Application" },
                  { url: "getstarted/ApplinXWebApp.htm", title: "Creating an ApplinX Web Application" },
                  { url: "getstarted/DemoApp.htm", title: "Installing ApplinX Demo Applications" },
                  { url: "getstarted/workingwithdemo.htm", title: "Working with the Demo Applications" },
                  { url: "getstarted/SelfTraining.htm", title: "Self-Training and Movies" },
              ]
            },
            { url: "solutions/overview.htm", title: "ApplinX Solutions",
              tree: [
                  { url: "solutions/soaenablement.htm", title: "SOA Enablement" },
                  { url: "solutions/web.htm", title: "Web Enablement" },
                  { url: "solutions/webintegration.htm", title: "Web Page Integration" },
              ]
            },
            { url: "desdevapp/overview.htm", title: "Designing and Developing an Application",
              tree: [
                  { url: "desdevapp/AppManagement.htm", title: "Developing an ApplinX Application",
                    tree: [
                        { url: "desdevapp/DefineApp.htm", title: "Defining Applications" },
                        { url: "desdevapp/usingproxy.htm", title: "Using ApplinX Terminal Emulation Proxy" },
                        { url: "desdevapp/DefineHosts.htm", title: "Defining Hosts" },
                        { url: "desdevapp/Deploy.htm", title: "Deploying with ApplinX" },
                        { url: "desdevapp/applicationcentrasite.htm", title: "Publishing an Application to CentraSite" },
                        { url: "desdevapp/logfiles.htm", title: "ApplinX Log Files" },
                    ]
                  },
                  { url: "desdevapp/sessions.htm", title: "Sessions",
                    tree: [
                        { url: "desdevapp/SessionView.htm", title: "The Session View" },
                        { url: "desdevapp/PrintingSession.htm", title: "Printing - Printer Session" },
                    ]
                  },
                  { url: "desdevapp/Entities.htm", title: "ApplinX Entities",
                    tree: [
                        { url: "desdevapp/WorkEntities.htm", title: "Working with Entities" },
                        { url: "desdevapp/ScrScrGrFields.htm", title: "Screens" },
                        { url: "desdevapp/ScreenGroups.htm", title: "Screen Groups" },
                        { url: "desdevapp/ApplicationMap.htm", title: "Application Map" },
                        { url: "desdevapp/Transformations.htm", title: "Transformations" },
                        { url: "desdevapp/Procedures.htm", title: "Procedures" },
                        { url: "desdevapp/WebServices.htm", title: "Procedure Groups (used as Service Providers)" },
                        { url: "desdevapp/ConnectionPool.htm", title: "Connection Pools" },
                        { url: "desdevapp/ConInfoSet.htm", title: "Connection Information Sets" },
                        { url: "desdevapp/DataStructure.htm", title: "Data Structure" },
                        { url: "desdevapp/SessionData.htm", title: "Session Data" },
                        { url: "desdevapp/DatabaseEntity.htm", title: "Database Connection" },
                        { url: "desdevapp/WebAppMan.htm", title: "Web Application Manager" },
                        { url: "desdevapp/autoscrstep.htm", title: "Automatically Identifying Screens and Steps using GCT Files" },
                    ]
                  },
              ]
            },
            { url: "advdev/overview.htm", title: "Web Application Development",
              tree: [
                  { url: "advdev/IntroConcept.htm", title: "Introduction and Concepts",
                    tree: [
                        { url: "advdev/Frameworks.htm", title: "What are ApplinX for JSP and .NET Web Applications" },
                        { url: "advdev/DevelopMethods.htm", title: "Development Methods" },
                        { url: "advdev/FrameworksKey.htm", title: "ApplinX Frameworks' Key Features" },
                        { url: "advdev/ClassHierarchy.htm", title: "Class Hierarchy" },
                        { url: "advdev/BasicLifecycle.htm", title: "The Framework's Basic Lifecycle" },
                        { url: "advdev/webpagestructure.htm", title: "Web Page Structure" },
                        { url: "advdev/PopupManager.htm", title: "Pop-Up Manager" },
                        { url: "advdev/InstantSolution.htm", title: "Instant Solution" },
                        { url: "advdev/ClassHierarchyProcedures.htm", title: "Class Hierarchy - Working with Procedures" },
                    ]
                  },
                  { url: "advdev/WorkingFr.htm", title: "Working with ApplinX Frameworks",
                    tree: [
                        { url: "advdev/configeditor.htm", title: "Configuring your Web Application" },
                        { url: "advdev/GenAppCus.htm", title: "General Application Customization" },
                        { url: "advdev/TransferNaturalDataIntro.htm", title: "Transferring Natural Data to/from the Host" },
                        { url: "advdev/InstantPages.htm", title: "Instant Pages Customization" },
                        { url: "advdev/EmulationTasksIntro.htm", title: "Emulation Behavior Tasks" },
                        { url: "advdev/PageCustomization.htm", title: "Page Customization" },
                        { url: "advdev/TablesIntro.htm", title: "Working with Tables" },
                        { url: "advdev/TransferringFiles.htm", title: "Transferring Files (FTP)" },
                        { url: "advdev/PrintletServletIntro.htm", title: "Printlet Servlet Redirector for ApplinX" },
                        { url: "advdev/FrameworkManagementIntro.htm", title: "Framework Management" },
                    ]
                  },
                  { url: "advdev/TroubleShootingIntro.htm", title: "Troubleshooting the Framework",
                    tree: [
                        { url: "advdev/PerformanceMonitoring.htm", title: "Performance Monitoring" },
                        { url: "advdev/JSLoggerEngine.htm", title: "JavaScript Logger Engine" },
                        { url: "advdev/investigatecode.htm", title: "Investigating the Web Application's Code" },
                        { url: "advdev/trouble_framework_redirect.htm", title: "Redirecting back to the hostLogin Page" },
                    ]
                  },
                  { url: "advdev/APIReferences.htm", title: "ApplinX Development API References",
                    tree: [
                        { url: "advdev/WebConfiguration.htm", title: "Web Application Configuration Parameters" },
                        { url: "advdev/BaseObject.htm", title: "Base Object" },
                        { url: "advdev/FrameworksAPI.htm", title: "Server Side API (Java/.NET)" },
                        { url: "advdev/clientside.htm", title: "Client Side (JavaScript)" },
                        { url: "advdev/HTMLEmulation.htm", title: "HTML Emulation" },
                        { url: "advdev/PrintingParameters.htm", title: "Printing" },
                    ]
                  },
              ]
            },
            { url: "admin/overview.htm", title: "Administration",
              tree: [
                  { url: "admin/Server.htm", title: "Managing the ApplinX Server" },
                  { url: "admin/CurrentActivity.htm", title: "Current Activity" },
                  { url: "admin/Permissions.htm", title: "Users: Roles and Permissions" },
                  { url: "admin/ReferAdminAPI.htm", title: "Administrative Web Services API" },
                  { url: "admin/Batch.htm", title: "Batch Automation Utilities" },
              ]
            },
            { url: "refguide/overview.htm", title: "Reference Guide",
              tree: [
                  { url: "refguide/AppManagementParam.htm", title: "Application & Host Parameters",
                    tree: [
                        { url: "refguide/eclipsepreferences.htm", title: "ApplinX Eclipse Preferences" },
                        { url: "refguide/AppConfParam.htm", title: "Application Configuration Parameters" },
                        { url: "refguide/HostConfParam.htm", title: "Host Configuration Parameters" },
                        { url: "refguide/SessionViewParam.htm", title: "Display Session Properties and View" },
                        { url: "refguide/printersessionproperties.htm", title: "Printer Session Properties" },
                    ]
                  },
                  { url: "refguide/EntitiesOverview.htm", title: "ApplinX Entities",
                    tree: [
                        { url: "refguide/ScreensFieldsMappings.htm", title: "Screens, Fields and Mappings" },
                        { url: "refguide/transformations.htm", title: "Transformations" },
                        { url: "refguide/procedures.htm", title: "Procedures" },
                        { url: "refguide/ConnectionPoolRef.htm", title: "Connection Pool" },
                        { url: "refguide/WebServicesRef.htm", title: "Web Services" },
                        { url: "refguide/ConnectionInformationRef.htm", title: "Connection Information Sets" },
                        { url: "refguide/datastructureref.htm", title: "Data Structure" },
                        { url: "refguide/DatabaseEntRef.htm", title: "Database Entity" },
                        { url: "refguide/businessactivityref.htm", title: "Business Activity" },
                    ]
                  },
                  { url: "refguide/VSPlugIn.htm", title: "ApplinX Visual Studio .NET Add-In" },
                  { url: "refguide/AppendixList.htm", title: "Appendix",
                    tree: [
                        { url: "refguide/reservedwords.htm", title: "Appendix A: Reserved Words in ApplinX" },
                        { url: "refguide/Security.htm", title: "Appendix B: Security in ApplinX" },
                        { url: "refguide/NaturalUNIXInstal.htm", title: "Appendix C: Natural for UNIX Installation" },
                        { url: "refguide/SSLEncrypt.htm", title: "Appendix E: SSL Cipher Suites Supported by ApplinX" },
                        { url: "refguide/SyntaxFormat.htm", title: "Appendix F: Syntax and Format Reference" },
                        { url: "refguide/ASCII.htm", title: "Appendix G: ASCII Character Table" },
                        { url: "refguide/SDFX.htm", title: "Appendix H: SDFX File Format Definition" },
                        { url: "refguide/dynamiclimitations.htm", title: "Appendix I: Dynamic Field Mapping Limitations" },
                        { url: "refguide/VT.htm", title: "Appendix J: Character Mode Hosts (VT Protocol)" },
                        { url: "refguide/CodePages.htm", title: "Appendix K: Host Supported Code Pages" },
                    ]
                  },
                  { url: "refguide/trouble.htm", title: "Troubleshooting" },
                  { url: "refguide/trouble_framework.htm", title: "Troubleshooting the Framework" },
                  { url: "refguide/trouble_dotnet.htm", title: "Troubleshooting the .NET Configuration" },
                  { url: "refguide/trouble_map.htm", title: "Troubleshooting the Application Map" },
                  { url: "refguide/trouble_pools.htm", title: "Troubleshooting Connection Pools" },
                  { url: "refguide/trouble_natux.htm", title: "Troubleshooting the Natural for UNIX APX Component" },
                  { url: "refguide/trouble_web.htm", title: "Troubleshooting Web Procedures" },
                  { url: "refguide/trouble_error.htm", title: "Error Messages" },
              ]
            },
            { url: "general/legal.htm", title: "Copyright" },
        ]
};
$.event.trigger({ type: "fishidbloaded", db: applinxuserguide });
